hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From abhishek1015 <abhishek1...@gmail.com>
Subject Re: NoSuchMethodError using zipkin with hbase 0.98.5
Date Sat, 11 Oct 2014 21:57:45 GMT
Thanks for letting me know that it compiles for 0.98.6-hadoop2. However, It
does not compile for 0.98.5-hadoop1 version.

First of all, HttpServer2 class is missing. While I added hadoop-common
2.4.0 which contain this class, I saw another error:

[ERROR]
/home/hadoop/git/htrace/htrace-hbase/src/main/java/org/htrace/impl/HBaseSpanReceiver.java:[341,12]
error: method configure in class HBaseSpanReceiver cannot be applied to
given types;

On further investigation, I see that HBaseSpanReceiver.config() method
expects a parameter of type org.htrace.HTraceConfiguration, while the object
of typeorg.apache.hadoop.hbase.trace.HBaseHTraceConfiguration which extends 
org.cloudera.htrace.HTraceConfiguration.

Thanks
Abhishek 




--
View this message in context: http://apache-hbase.679495.n3.nabble.com/NoSuchMethodError-using-zipkin-with-hbase-0-98-5-tp4064831p4064966.html
Sent from the HBase User mailing list archive at Nabble.com.

Mime
View raw message